<!--订单列表-->
<template>
  <div class="classorder classorder-bottom">
    <div class="table-head">
      <table class="enrollTotalSearchTable" border="0" cellspacing="0" cellpadding="0">
        <colgroup>
          <col width="12%" />
          <col width="8.5%" />
          <col width="6.5%" />
          <col width="8.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />          
          <col width="100px"/>
        </colgroup>
        <thead>
          <tr class="fix_th">
            <th width="12%">单号</th>
            <th width="8.5%">客人</th>
            <th width="6.5%">人数</th>
            <th width="8.5%">出行概述</th>
            <th width="6.5%">应收</th>
            <th width="6.5%">实收</th>
            <th width="6.5%">退款</th>
            <th width="6.5%">成本</th>
            <th width="6.5%">手续费</th>
            <th width="6.5%">待收</th>
            <th width="6.5%">出票状态</th>
            <th width="6.5%">订单状态</th>
            <th width="100px">操作</th>
          </tr>
        </thead>
      </table>
    </div>
    <div class="table-body" v-loading="loading">
      <table class="enrollTotalSearchTable" border="0" cellspacing="0" cellpadding="0">
        <colgroup>
          <col width="12%" />
          <col width="8.5%" />
          <col width="6.5%" />
          <col width="8.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="6.5%" />
          <col width="100px"/>
        </colgroup>
        <template>
          <tbody v-for="(item, index) in dataList" :key="index">
            <tr>
              <td :rowspan="3">
               <p class="OrderId-text" @click="clickSingleNumber(item)">{{item.OrderId}}</p>
               <p class="CreateByName-text">{{item.CreateByName}}</p>
               <p class="CreateByName-text">业务员：<span class="colorblue">{{item.EnterName}}</span></p>
               <p>{{item.CreateTime}}</p>
              </td>
              <td style="border:none" min-width="6.5%">
                  <p class="colorblue font-color-link" 
                  @click="openNameDetails(item)">{{item.GuestName}}</p>
                  <p>{{item.MobilePhone}}</p>
              </td>
              <td style="border:none">{{item.GuestCount}}人</td>
              <td style="border:none">
                  {{item.StartCityName}}
              </td>
              <td style="border:none">
                  <p @click="editOrderAmount(item)" class="cp"
              :class="item.TicketStatus==1&&item.OrderStatus==1?'font-color-link':''">{{item.Money}}</p>
              </td>
              <td style="border:none">
                  {{item.IncomeMoney}}
              </td>
              <td style="border:none">
                  {{item.BackMoney}}
              </td>
              <td style="border:none">
                  {{item.PayMoney}}
              </td>
              <td style="border:none">
                  {{item.TaxMoney}}
              </td>
              <td style="border:none">
                  {{item.DueinMoney}}
              </td>
              <td style="border:none">
                <p class="TicketVoucher-box">
                    <span  @click="modifyStatus(item)" 
                  class="cp tatusText"
                  :class="item.TicketStatus==1?'grey':
                  (item.TicketStatus==2?'success':
                  (item.TicketStatus==3?'error':
                  (item.TicketStatus==4?'Black':'')))">
                      {{item.TicketStatusName}}
                  </span>
                  <i v-if="item.TicketStatus!=1&&item.TicketVoucherList!=[]&&item.CancelVoucherList!=[]" class="iconfont iconpingzhengchaxun Credentials" @click="viewCredentials(item)"></i>
                </p>
                
              </td>
              <td style="border:none">
                  <div style="background: rgba(2, 196, 153, 0.2);width: 70px;border-radius: 2px;text-align: center"
                  :style="{background:item.OrderStatus==1?'rgba(2, 196, 153, 0.2)':'rgba(0, 0, 0, 0.2)'}">
                    <span :style="{color: item.OrderStatus==1?'#02C499':''}">{{item.OrderStatus==1?"正常":"取消"}}</span>
                </div>
              </td>
              <td style="border:none;width:150px">
                  <div class="enedit-box">
                    <el-tooltip
                    class="item-but" effect="dark" content="编辑订单" placement="top">
                        <i class="iconfont iconwenbenbianji cp" @click="editOrder(item)"></i>
                    </el-tooltip>
                    <div>
                        <el-select style="width:80px;"  class="select-right" 

                        clearable
                        size="mini" 
                        v-model="item.More" placeholder="更多"
                        @change="chooseMore(item)">
                            <el-option
                            v-for="item in MoreList"
                            :key="item.Id"
                            :label="item.Name"
                            :value="item.Id">
                            </el-option>
                        </el-select>
                    </div>
                    
                </div>
              </td>
            </tr>
            <tr>
              <td :colspan="8" style="height: 108px;text-align: left">
                <div>备注：</div>
                <div class="remarks-b">
                    <div v-if="item.Remark != null || item.Remark != ''">
                        <div>{{ item.Remark }}</div>
                    </div>
                    <span v-if="item.Remark == null || item.Remark == ''">暂无</span>
                </div>
              </td>
              <td :colspan="4" style="height: 108px;text-align: left">
                <div class="documents-text">
                    <div class="documents-left">
                        <div>收入单据：</div>
                        <span
                        :class="item.Status===1&&item.Is_Cashier===0?'one':(item.Status===1&&item.Is_Cashier===1?'two':(item.Status===2?'three':''))"
                        v-for="(item,index) in item.IncomeFinance" :key="index"
                        @click="openDetails(item)">{{item.FrID}}</span>
                    </div>
                    <div class="documents-right">
                        <el-tooltip
                        class="item-but" effect="dark" content="制单" placement="top">
                            <i class="iconfont iconwenbenbianji cp blue" @click="makeAdocument(item,index,1)"></i>
                        </el-tooltip>
                        <div v-show="item.actuallyReceived" class="agreement-IncomeMoney-pop">
                            <div class="float-flag-shape"></div>
                            <el-checkbox-group v-model="item.checkList" 
                                @change="clickMultipleChoice(item,index,1)">
                                <el-checkbox v-for="(items,indexs) in item.MultipleChoiceList" :key="indexs"
                                :label="items.Id">{{items.Name}}</el-checkbox>
                            </el-checkbox-group>
                            <div class="agreement-Cancel">
                                <span @click="popCancelClick(item,index,1)">取消</span>
                                <span @click="popClick(item,index,1)">确定</span>
                            </div>
                            
                        </div>
                    </div> 
                </div>
                <div class="documents-text">
                    <div class="documents-left">
                        <div>退款单据：</div>
                        <span
                        :class="item.Status===1&&item.Is_Cashier===0?'one':(item.Status===1&&item.Is_Cashier===1?'two':(item.Status===2&&item.Is_Cashier===1?'three':''))"
                        v-for="(item,index) in item.BackFinance" :key="index"
                        @click="openDetails(item)">{{item.FrID}}</span>
                    </div>
                    <div class="documents-right">
                        <el-tooltip
                        class="item-but" effect="dark" content="制单" placement="top">
                            <i class="iconfont iconwenbenbianji cp blue" @click="makeAdocument(item,index,2)"></i>
                        </el-tooltip>
                    </div>
                </div>
                <div class="documents-text">
                    <div class="documents-left">
                        <div>成本单据：</div>
                        <span
                        :class="item.Status==1&&item.Is_Cashier==0?'one':(item.Status==1&&item.Is_Cashier==1?'two':(item.Status==2?'three':''))"
                        v-for="(item,index) in item.PayFinance" :key="index"
                        @click="openDetails(item)">{{item.FrID}}</span>
                    </div>
                    <div class="documents-right">
                        <el-tooltip
                        class="item-but" effect="dark" content="制单" placement="top">
                            <i class="iconfont iconwenbenbianji cp blue" @click="makeAdocument(item,index,3)"></i>
                        </el-tooltip>
                        <div v-show="item.cost" class="agreement-IncomeMoney-pop">
                            <div class="float-flag-shape"></div>
                            <el-radio-group v-model="item.selectedType" @change="clickMultipleChoice(item,index,3)">
                            <el-radio v-for="(item,index) in item.MultipleChoiceList" :key="index"
                            :label="item.Id">{{item.Name}}</el-radio>
                            </el-radio-group>
                            <div class="agreement-Cancel">
                                <span @click="popCancelClick(item,index,1)">取消</span>
                                <span @click="popClick(item,index,1)">确定</span>
                            </div>
                            
                        </div>
                    </div>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
    <!--取消订单-->
    </table>
</div>
<el-drawer :with-header="false" size='70%' :visible.sync="drawer" direction="rtl" :before-close="handleClose">
    <customerInfoBox :CustomerId="CustomerId" />
</el-drawer>
<!-- 单号抽屉 -->
<el-drawer :with-header="false" @closed="closeOrderDrawerHandler" size='70%' :visible.sync="orderDrawer" direction="rtl" :before-close="handleClose">
    <orderDetailsDrawer v-if="currentOrder" :orderId="currentOrder.OrderId" />
</el-drawer>

</div>
</template>

<script>
import customerInfoBox from "../guestManagement/customerInfoBox";
import orderDetailsDrawer from "./orderDetailsDrawer";
export default {
  components: {
    customerInfoBox,
    orderDetailsDrawer,
  },
  props: {
    //订单
    dataList: {
      type: Array,
      default: null,
    },
    loading: {
      type: Boolean,
      default: false,
    },
    superManage: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      MultipleChoiceList: [
        //多选项目
        {
          Name: "机票",
          Id: "1",
        },
        {
          Name: "签证",
          Id: "2",
        },
        {
          Name: "地接",
          Id: "3",
        },
        {
          Name: "套餐",
          Id: "4",
        },
      ],
      userInfo: {},
      MoreList: [
        {
          Name: "取消订单",
          Id: "1",
        },
        {
          Name: "订单转交",
          Id: "2",
        },
        {
          Name: "修改出票状态",
          Id: "4",
        },
        {
          Name: "操作日志",
          Id: "3",
        },
      ],
      clickMore: "",
      drawer: false,
      orderDrawer: false,
      CustomerId: "",
      CustomerName: "",
      currentOrder: null,
    };
  },
  created() {},
  watch: {
    loading: {
      handler(val, oldVal) {
        this.loading = val;
      },
      deep: true,
    },
  },
  mounted() {
    this.userInfo = this.getLocalStorage();
    let $this = this;
    $this.MsgBus.$on("closeBillMaking", function() {
      for (let i = 0; i < $this.dataList.length; i++) {
        $this.dataList[i].checkList = [];
        $this.dataList[i].MultipleChoiceList = [];
        $this.dataList[i].selectedType = "";
        $this.dataList[i].actuallyReceived = false;
        $this.dataList[i].cost = false;
      }
    });
  },
  methods: {
    // 多选发生变化
    clickMultipleChoice(row, index, num) {
      if (num == 1) {
        if (row.checkList.slice(-1)[0] == 4) {
          this.delType(row, 1);
          this.delType(row, 2);
          this.delType(row, 3);
          this.delType(row, 5);
          row.selectedType = row.checkList.join(",");
        } else if (row.checkList.slice(-1)[0] == 5) {
          this.delType(row, 1);
          this.delType(row, 2);
          this.delType(row, 3);
          this.delType(row, 4);
          row.selectedType = row.checkList.join(",");
        } else {
          this.delType(row, 4);
          this.delType(row, 5);
          row.selectedType = row.checkList.join(",");
        }
      }
    },
    // 删除套餐值
    delType(row, item) {
      for (let i = 0; i < row.checkList.length; i++) {
        if (row.checkList[i] == item) {
          row.checkList.splice(i, 1);
        }
      }
    },
    // 取消
    popCancelClick(row, index, num) {
      if (num == 1) {
      }
      this.dataList.forEach((item) => {
        return (item.actuallyReceived = false);
      });

      if (num == 3) {
      }
      this.dataList.forEach((item) => {
        return (item.cost = false);
      });

      this.dataList.forEach((item) => {
        item.checkList = [];
        item.MultipleChoiceList = [];
        item.selectedType = "";
      });
    },
    // 确定弹窗
    popClick(row, index, num) {
      if (!row.selectedType) {
        this.$message.warning("请选择类型!");
        return;
      }
      this.makeAdocumentFun(row, index, num);
      if (num == 1) {
        if (this.dataList[index].checkList.length == 1) {
        } else {
          this.dataList[index].actuallyReceived = false;
        }
      }
      if (num == 3) {
        this.dataList[index].cost = false;
      }
    },
    // 点击单号
    clickSingleNumber(item) {
      this.currentOrder = item;
      this.orderDrawer = true;
    },
    closeOrderDrawerHandler() {
      this.currentOrder = null;
      this.orderDrawer = false;
    },
    handleClose(done) {
      done();
    },
    openNameDetails(item) {
      this.drawer = true;
      this.CustomerId = item.GuestId;
      this.CustomerName = item.GuestName;
    },
    // 查看出票凭据
    viewCredentials(row) {
      let $this = this;
      this.MsgBus.$emit(
        "CredentialsOrderTicketOrderBoxOpen",
        $this.ID,
        row,
        true
      );
    },
    chooseMore(row) {
      //   取消订单

      if (row.More == "1") {
        this.cancelOrder(row);
      }
      //   订单转换
      if (row.More == "2") {
        this.convertOrder(row);
      }
      //   操作日志
      if (row.More == "3") {
        this.operationLog(row);
      }
      //   修改出票状态
      if (row.More == "4") {
        this.modifyStatus(row);
      }
      //   编辑订单金额
      if (row.More == "5") {
        this.editOrderAmount(row);
      }
    },
    // 转换订单
    convertOrder(row) {
      this.MsgBus.$emit(
        "convertOrderTicketOrderBoxOpen",
        row.GuestId,
        row,
        true
      );
    },
    // 验证操作员
    ValidateOperator() {
      this.$message({
        type: "warning",
        message: "抱歉,该订单您没有操作权限!",
      });
      this.$emit("emptyMore");
    },
    // 制作单据
    makeAdocument(row, index, num) {
      this.dataList[index].MultipleChoiceList = [];
      let list = row.OrderType && row.OrderType.split(",");

      if (list != null && list.length > 1 && num == 1) {
        this.dataList.forEach((item) => {
          return (item.cost = false);
        });
        this.dataList.forEach((item) => {
          return (item.actuallyReceived = false);
        });
        this.dataList[index].actuallyReceived = true;
        for (let j = 0; j < list.length; j++) {
          for (let i = 0; i < this.MultipleChoiceList.length; i++) {
            if (list[j] == this.MultipleChoiceList[i].Id) {
              this.dataList[index].MultipleChoiceList.push(
                this.MultipleChoiceList[i]
              );
            }
          }
        }
      } else if (list != null && list.length > 1 && num == 3) {
        this.dataList.forEach((item) => {
          return (item.actuallyReceived = false);
        });
        this.dataList.forEach((item) => {
          return (item.cost = false);
        });
        this.dataList[index].cost = true;
        for (let j = 0; j < list.length; j++) {
          for (let i = 0; i < this.MultipleChoiceList.length; i++) {
            if (list[j] == this.MultipleChoiceList[i].Id) {
              this.dataList[index].MultipleChoiceList.push(
                this.MultipleChoiceList[i]
              );
            }
          }
        }
      } else {
        this.makeAdocumentFun(row, index, num);
      }
    },
    makeAdocumentFun(row, index, num) {
      let list = row.OrderType && row.OrderType.split(",");
      if (this.userInfo.EmName != row.EnterName) {
        this.ValidateOperator();
      } else {
        if (row.OrderStatus != "2") {
          if (list && list.length > 1) {
            let typeList = row.selectedType.split(",");
            if (num == "1" && typeList.length >= 2) {
              let type;
              type = num == 1 ? 1 : 2; // 1收款 2退款 3成本anceId2 = num
              let $this = this;
              row.ReFinanceId2 = num;
              this.MsgBus.$emit("BillMakingOrderBoxOpen", $this.ID, row, true);
            }
            if ((typeList.length == 1 && num == "1") || num == "3") {
              let type;
              type = num == 1 ? 1 : 2; // 1收款 2退款 3成本
              let href;
              let url = this.domainManager().erpRoutingUrl;
              let data = [
                {
                  path: "ChoiceAddFinancialDocuments",
                  type: type,
                  OtherType: 55,
                  ReFinanceId: row.OrderId,
                  ReFinanceId2: num,
                  GuestId: row.GuestId,
                  RelevanceFrId: row.selectedType, // 单据类型
                },
              ];
              href =
                url +
                "automaticLogin?token=" +
                this.getLocalStorage().token +
                "&data=" +
                JSON.stringify(data);
              window.open(href);
              for (let i = 0; i < this.dataList.length; i++) {
                this.dataList[i].checkList = [];
                this.dataList[i].MultipleChoiceList = [];
                this.dataList[i].selectedType = "";
                this.dataList[i].actuallyReceived = false;
                this.dataList[i].cost = false;
              }
            }
            if (num == "2") {
              let type;
              type = num == 1 ? 1 : 2; // 1收款 2退款 3成本
              let href;
              let url = this.domainManager().erpRoutingUrl;
              let data = [
                {
                  path: "ChoiceAddFinancialDocuments",
                  type: type,
                  OtherType: 55,
                  ReFinanceId: row.OrderId,
                  ReFinanceId2: num,
                  GuestId: row.GuestId,
                },
              ];
              href =
                url +
                "automaticLogin?token=" +
                this.getLocalStorage().token +
                "&data=" +
                JSON.stringify(data);
              window.open(href);
              for (let i = 0; i < this.dataList.length; i++) {
                this.dataList[i].checkList = [];
                this.dataList[i].MultipleChoiceList = [];
                this.dataList[i].selectedType = "";
                this.dataList[i].actuallyReceived = false;
                this.dataList[i].cost = false;
              }
            }
          } else {
            let type;
            type = num == 1 ? 1 : 2; // 1收款 2退款 3成本
            let href;
            let url = this.domainManager().erpRoutingUrl;
            let data;
            if (num == 1 || num == 2) {
              data = [
                {
                  path: "ChoiceAddFinancialDocuments",
                  type: type,
                  OtherType: 55,
                  ReFinanceId: row.OrderId,
                  ReFinanceId2: num,
                  GuestId: row.GuestId,
                  RelevanceFrId: row.OrderType, // 单据类型
                },
              ];
            }
            if (num == 3) {
              data = [
                {
                  path: "ChoiceAddFinancialDocuments",
                  type: type,
                  OtherType: 55,
                  ReFinanceId: row.OrderId,
                  ReFinanceId2: num,
                  GuestId: row.GuestId,
                },
              ];
            }
            href =
              url +
              "automaticLogin?token=" +
              this.getLocalStorage().token +
              "&data=" +
              JSON.stringify(data);
            window.open(href);
            for (let i = 0; i < this.dataList.length; i++) {
              this.dataList[i].checkList = [];
              this.dataList[i].MultipleChoiceList = [];
              this.dataList[i].selectedType = "";
              this.dataList[i].actuallyReceived = false;
              this.dataList[i].cost = false;
            }
          }
        }
      }
    },

    // 操作日志
    operationLog(row) {
      this.MsgBus.$emit("logTicketOrderBoxOpen", row.GuestId, row, true);
    },
    // 修改出票状态
    modifyStatus(row) {
      if (this.superManage) {
        this.ModifyStatusfun(row);
      } else {
        if (this.userInfo.EmName != row.EnterName) {
          this.ValidateOperator();
        } else {
          this.ModifyStatusfun(row);
        }
      }
    },
    ModifyStatusfun(row) {
      if (
        row.TicketStatus == 3 ||
        row.TicketStatus == 4 ||
        row.OrderStatus == "2"
      ) {
        return;
      } else {
        this.MsgBus.$emit("reviseTicketOrderBoxOpen", row.GuestId, row, true);
      }
    },
    // 取消订单
    cancelOrder(row) {
      if (this.superManage) {
        this.cancelOrderfun(row);
      } else {
        if (this.userInfo.EmName != row.EnterName) {
          this.ValidateOperator();
        } else {
          this.cancelOrderfun(row);
        }
      }
    },
    cancelOrderfun(row) {
      if (
        row.OrderStatus != "2" &&
        row.IncomeFinance.length == 0 &&
        row.BackFinance.length == 0 &&
        row.PayFinance.length == 0
      ) {
        let tips = "此操作将取消该订单，是否继续取消?";
        this.$confirm(tips, "提示", {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        })
          .then(() => {
            this.apipost(
              "/api/Order/SetGuestOrderState",
              {
                OrderId: row.OrderId,
                Type: "1",
              },
              (res) => {
                if (res.data.resultCode == 1) {
                  this.$message.success(res.data.message);
                  this.getList();
                }
              }
            );
          })
          .catch(() => {
            this.$emit("emptyMore");
            this.$message({
              type: "info",
              message: "已取消",
            });
          });
      } else {
        this.$emit("emptyMore");
      }
    },
    // 编辑订单
    editOrder(row) {
      if (this.superManage) {
        this.editOrderfun(row);
      } else {
        if (this.userInfo.EmName != row.EnterName) {
          this.ValidateOperator();
        } else {
          this.editOrderfun(row);
        }
      }
    },
    editOrderfun(row) {
      if (row.TicketStatus == 1 && row.OrderStatus == 1) {
        this.MsgBus.$emit(
          "editOrderTicketOrderBoxOpen",
          row.GuestId,
          row,
          true
        );
      } else {
        this.$emit("emptyMore");
      }
    },
    // 编辑订单金额
    editOrderAmount(row) {
      if (this.superManage) {
        this.editOrderAmountfun(row);
      } else {
        if (this.userInfo.EmName != row.EnterName) {
          this.ValidateOperator();
        } else {
          this.editOrderAmountfun(row);
        }
      }
    },
    editOrderAmountfun(row) {
      if (row.TicketStatus == 1 && row.OrderStatus == 1) {
        this.MsgBus.$emit("editTicketOrderBoxOpen", row.GuestId, row, true);
      } else {
        this.$emit("emptyMore");
      }
    },
    openDetails(item) {
      let href;
      let url = this.domainManager().erpRoutingUrl;
      let data = [
        {
          path: "FinancialDocumentsDetail",
          id: item.FrID,
        },
      ];
      href =
        url +
        "automaticLogin?token=" +
        this.getLocalStorage().token +
        "&data=" +
        JSON.stringify(data);
      window.open(href);
    },
    // 获取出票状态枚举
    GetTicketStatusEnumList() {
      this.msg.GuestId = row.GuestId;
      this.apipost("/api/Order/GetTicketStatusEnumList", {}, (res) => {
        if (res.data.resultCode == 1) {
          this.ticketingStatusList = res.data.data;
          let data = {
            Name: "全部",
            Id: "0",
          };
          this.ticketingStatusList.unshift(data);
        } else {
          this.$message.error(res.data.message);
        }
      });
    },
  },
};
</script>
<style>
li {
  list-style-type: none;
}

.classorder ul {
  padding: 0px;
}

.classorder .price-popup {
  border-radius: 4px;
}

.classorder .el-range-editor .el-range-input {
  background: none;
}

.classorder .el-range-editor.el-input__inner {
  background-color: transparent;
}

.classorder .q-mb-md {
  margin-bottom: 0;
}

.classorder .stics {
  padding: 10px 20px;
  background: #dddee0;
  border-radius: 4px;
  font-size: 14px;
  color: #000000;
  font-weight: bold;
}

.classorder .stics .stics-name {
  color: #2d2d2d;
  font-weight: 600;
  margin-right: 10px;
}

.classorder .tis {
  margin: 10px 0;
  align-items: center;
}

.classorder .tis .tis-k {
  width: 10px;
  height: 10px;
  margin-right: 8px;
}

.classorder .tis span {
  font-size: 14px;
  color: #2d2d2d;
  font-weight: 600;
  margin-right: 20px;
}

.classorder table {
  padding: 10px 0;
  width: 100%;
  background-color: #ededed;
  border-collapse: collapse;
  border: 1px solid #d2d2d2;
  font-size: 12px;
}

.classorder table th {
  background-color: #ededed;
  height: 34px;
  text-indent: 15px;
}

.enrollTotalSearchTable td {
  background-color: #ffffff;
  padding: 9px 15px;
  color: #333333;
  border: 1px solid rgba(138, 138, 138, 0.09);
  text-align: left;
}

.classorder table ._color_666 {
  color: #666666;
}

.classorder table tr._color_666 th {
  padding: 9px 15px;
}

.classorder table th {
  background-color: #ededed;
  height: 34px;
  text-indent: 15px;
}

.classorder table td {
  background-color: #ffffff;
  padding: 9px 15px;
  color: #333333;
}

.classorder table ._color_666 {
  color: #666666;
}

.classorder table tr._color_666 th {
  padding: 9px 15px;
}

.classorder .enrollTotalSearchTable {
  width: 100%;
  font-size: 14px;
  color: #333;
  border-bottom: 1px solid #cccccc;
  border-right: 1px solid #cccccc;
  border-collapse: collapse;
}

.classorder .enrollTotalSearchTable tr {
}

.classorder .enrollTotalSearchTable tr th {
  background: #dddee0;
  height: 30px;
  font-size: 12px;
  text-align: left;
}

.classorder .enrollTotalSearchTable tr {
  background: #fff;
  text-align: left;
}

.classorder .enrollTotalSearchTable tbody tr:last-child {
  border-bottom: 2px solid #ddd;
}

.classorder .enrollTotalSearchTable tr:first-child td:first-child {
  border-bottom: 2px solid #ddd;
}

.classorder .enrollTotalSearchTable tr td {
  height: 46px;
  padding: 10px;
}

.classorder .enrollTotalSearchTable tr td > img {
  width: 32px;
  height: 32px;
  border-radius: 16px;
  vertical-align: middle;
  margin-right: 5px;
}

.classorder .enrollTotalSearchTable tr td p {
  line-height: 20px;
}

.classorder .remarks {
  font-size: 14px;
  color: #2d2d2d;
}

.classorder .remarks-b {
  height: 34px;
  background: #f0f5fb;
  margin-top: 10px;
  padding: 15px;
  font-size: 12px;
  color: #999999;
  position: relative;
  overflow: hidden;
  display: -webkit-box;
  line-height: 20px;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}

.classorder .remarks-b-b {
  text-align: right;
  position: absolute;
  right: 0px;
  bottom: 0px;
}

.classorder .on-left {
  margin-right: 5px;
}

.classorder .finance {
  padding: 1px 10px;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  margin: 5px 3px 3px 0;
}

.classorder .order_OfferId {
  font-size: 18px;
  color: #2961fe;
  margin-bottom: 10px;
  font-weight: bold;
  text-decoration: underline;
  cursor: pointer;
}

.takeContract {
  cursor: pointer;
  color: rgb(41, 97, 254);
}

.Contract_Table {
  width: 100%;
  border-collapse: collapse;
}

.Contract_Table th,
.Contract_Table td {
  padding: 5px;
  color: #000;
  text-align: center;
}

.table-body {
  overflow-x: hidden;
  overflow-y: auto;
}

.classorder .redstyle {
  color: var(--q-color-negative);
}

.order_OferTitle {
  font-size: 14px;
  color: #333333;
  margin-bottom: 10px;
}

.tatusText.grey {
  color: grey;
}

.tatusText.success {
  color: #21ba45;
}

.tatusText.error {
  color: #f2c037;
}

.tatusText.Black {
  color: Black;
}

.ToBeReceived.red {
  color: #fd397a;
}

.ToBeReceived.blue {
  color: #409eff;
}

.documents-text {
  display: flex;
  justify-content: space-between;
}

.documents-left {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 2px 0;
}

.documents-left span {
  margin-right: 10px;
  border-radius: 3px;
  padding: 2px 6px;
}

.documents-left span:hover {
  cursor: pointer;
}

.documents-left span.one {
  background-color: rgba(41, 97, 254, 0.2);
  color: rgb(41, 97, 254);
}

.documents-left span.two {
  background-color: rgba(242, 140, 29, 0.2);
  color: rgb(242, 140, 29);
}

.documents-left span.three {
  background-color: rgba(63, 196, 255, 0.2);
  color: rgb(63, 196, 255);
}

.documents-left.num span {
  background-color: rgba(41, 97, 254, 0);
  color: rgb(41, 97, 254);
  padding: 0;
}

.documents-right {
  margin-right: 20px;
  position: relative;
}

.OrderId-text {
  font-size: 19px;
  /* text-decoration:underline; */
  font-weight: bold;
  color: #2961fe;
  margin-bottom: 10px;
  cursor: pointer;
}

.CreateByName-text {
  margin-bottom: 10px;
}

.colorblue {
  color: #2961fe;
}

.enedit-box {
  display: flex;
  align-items: center;
}

.select-right {
  margin-left: 5px;
}

.Credentials {
  color: #2961fe;
}

.TicketVoucher-box {
  display: flex;
}

.TicketVoucher-box span {
  flex-shrink: 0;
}

.TicketVoucher-box i {
  margin-left: 5px;
}
.agreement-IncomeMoney-box {
  position: relative;
}
.agreement-IncomeMoney-pop {
  position: absolute;
  top: -20px;
  left: -270px;
  z-index: 1;
  background: #fff;
  padding: 10px 19px 10px 19px;
  box-shadow: 5px 5px 10px 5px #ccc;
}
.agreement-Cancel {
  text-align: right;
  color: #409eff;
}
.agreement-Cancel span:first-child {
  color: #999999;
  margin-right: 20px;
}
.agreement-Cancel span:hover {
  cursor: pointer;
}
.float-flag-shape {
  position: absolute;
  top: 20px;
  border: 1px solid #fff;
  height: 0;
  width: 0;
  border-top: 6px solid transparent;
  border-left: 10px solid #fff;
  border-bottom: 3px solid transparent;
  right: -11px;
}
.el-checkbox-group,
.el-radio-group {
  display: flex !important;
  margin-bottom: 10px !important;
}
.font-color-link {
  cursor: pointer;
}
</style>
